include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'
  - project: mars-toolkit/gitlab-ci-helpers
    ref: release/v2-stable
    file: /gitlab-ci-jobs.yml
  - project: mars-toolkit/gitlab-ci-helpers
    ref: release/v2-stable
    file: /mtk-executable-pipeline.yml
  - project: mars-toolkit/gitlab-ci-helpers
    ref: release/v2-stable
    file: /mtk-release-pipeline.yml

variables:
  MTKCI_ASD_PATHS: "kirk-v2.asd"

.mtkci executable config:
  extends: .mtkci executable config defaults

.mtkci release config:
  extends: .mtkci release config defaults

stages:
  - prep
  - build
  - release
